#[macro_export]
macro_rules! upend_insert_val {
    ($db_connection:expr, $entity:expr, $attribute:expr, $value:expr) => {{
        $db_connection.insert_entry(Entry {
            entity: $entity.clone(),
            attribute: String::from($attribute),
            value: upend::database::entry::EntryValue::String(String::from($value)),
            provenance: "SYSTEM INIT".to_string(),
            timestamp: chrono::Utc::now().naive_utc(),
        })
    }};
}

#[macro_export]
macro_rules! upend_insert_addr {
    ($db_connection:expr, $entity:expr, $attribute:expr, $addr:expr) => {{
        $db_connection.insert_entry(Entry {
            entity: $entity.clone(),
            attribute: String::from($attribute),
            value: upend::database::entry::EntryValue::Address($addr.clone()),
            provenance: "SYSTEM INIT".to_string(),
            timestamp: chrono::Utc::now().naive_utc(),
        })
    }};
}
